from mqtt import Publisher
from sunways import Datasource
from datetime import datetime

publisher = Publisher("192.168.178.34", 1883, "sunways_pv", "sunways_pv", "sunways!#PW", "pv/sunways/")
datasource = Datasource(True)

now = datetime.now()

for inverter_address in range(3,0,-1):
    online_values = datasource.get_online_values(inverter_address)
    if online_values:
        for k,v in online_values.items():
            publisher.send_single_value(k, v, inverter_address)
        publisher.send_single_value("timestamp", str(now), inverter_address)

print(f"-------------- Data logged at {str(now)}--------------")
